<back to all web services

GetUncachedPages

The following routes are available for this service:
GET/RestApi/diagnostics/uncached-pages
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class GetUncachedPages:
    count_only: bool = False
    skip: int = 0
    take: int = 0
    site_root_node_id: Optional[str] = None


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class PageProxy:
    title: Optional[str] = None
    parent_pages_titles: Optional[str] = None
    workflow_status: Optional[str] = None
    has_draft_newer_than_published: bool = False


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class UncachedPagesProxy:
    not_cached_pages: Optional[List[PageProxy]] = None
    count_all_sites: int = 0
    count_current_site: int = 0

Python GetUncachedPages DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/diagnostics/uncached-pages HTTP/1.1 
Host: www.asg.com.au 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	NotCachedPages: 
	[
		{
			Title: String,
			ParentPagesTitles: String,
			WorkflowStatus: String,
			HasDraftNewerThanPublished: False
		}
	],
	CountAllSites: 0,
	CountCurrentSite: 0
}